Package ghidra.app.cmd.disassemble

# Class Hcs12DisassembleCommand

java.lang.Object
ghidra.framework.cmd.BackgroundCommand
ghidra.app.cmd.disassemble.DisassembleCommand
ghidra.app.cmd.disassemble.Hcs12DisassembleCommand

All Implemented Interfaces:
  `Command`

public class Hcs12DisassembleCommand extends DisassembleCommand
Command object for performing HCS12/XGate disassembly

- ## Field Summary

  ### Fields inherited from class ghidra.app.cmd.disassemble.DisassembleCommand

  `disassemblyPerformed, languageError, nonExecutableStart, startSet, unalignedStart, useDefaultRepeatPatternBehavior`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Hcs12DisassembleCommand(Address start, AddressSetView restrictedSet, boolean xgMode)`
  Constructor for Hcs12DisassembleCommand.
  `Hcs12DisassembleCommand(AddressSetView startSet, AddressSetView restrictedSet, boolean xgMode)`
  Constructor for Hcs12DisassembleCommand.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(DomainObject obj, TaskMonitor monitor)`
  Method called when this command is to apply changes to the given domain object.
  `void`
  `setInitialContext(RegisterValue initialContextValue)`
  Allows a specified initial context to be used at all start points.
  `void`
  `setSeedContext(DisassemblerContextImpl seedContext)`
  Allows the disassembler context to be seeded for the various disassembly start points which may be encountered using the future flow state of the specified seedContext.

  ### Methods inherited from class ghidra.app.cmd.disassemble.DisassembleCommand

  `doDisassembly, doDisassemblySeeds, enableCodeAnalysis, getDisassembledAddressSet, getStatusMsg`

  ### Methods inherited from class ghidra.framework.cmd.BackgroundCommand

  `applyTo, canCancel, dispose, getName, hasProgress, isModal, setStatusMsg, taskCompleted, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Hcs12DisassembleCommand

    public Hcs12DisassembleCommand(AddressSetView startSet, AddressSetView restrictedSet, boolean xgMode)
    Constructor for Hcs12DisassembleCommand.
    Parameters:
      `startSet` - set of addresses to be the start of a disassembly. The Command object will attempt to start a disassembly at each address in this set.
      `restrictedSet` - addresses that can be disassembled. a null set implies no restrictions
      `xgMode` - pass true if the disassembling in XGATE Mode

  - ### Hcs12DisassembleCommand

    public Hcs12DisassembleCommand(Address start, AddressSetView restrictedSet, boolean xgMode)
    Constructor for Hcs12DisassembleCommand.
    Parameters:
      `start` - address to be the start of a disassembly.
      `restrictedSet` - addresses that can be disassembled. a null set implies no restrictions
      `xgMode` - pass true if the disassembling in XGATE Mode

- ## Method Details

  - ### setSeedContext

    public void setSeedContext(DisassemblerContextImpl seedContext)
    Description copied from class: `DisassembleCommand`
    Allows the disassembler context to be seeded for the various disassembly start points which may be encountered using the future flow state of the specified seedContext. Any initial context set via the `DisassembleCommand.setInitialContext(RegisterValue)` method will take precedence when combined with any seed values. The seedContext should remain unchanged while disassembler command is actively running.
    Overrides:
      `setSeedContext` in class `DisassembleCommand`
    Parameters:
      `seedContext` - seed context or null

  - ### setInitialContext

    public void setInitialContext(RegisterValue initialContextValue)
    Description copied from class: `DisassembleCommand`
    Allows a specified initial context to be used at all start points. This value will take precedence when combined with any individual seed context values specified by the `DisassembleCommand.setSeedContext(DisassemblerContextImpl)` method. The defaultSeedContext should remain unchanged while disassembler command is actively running.
    Overrides:
      `setInitialContext` in class `DisassembleCommand`
    Parameters:
      `initialContextValue` - the initial context value to set or null to clear it

  - ### applyTo

    public boolean applyTo(DomainObject obj, TaskMonitor monitor)
    Description copied from class: `BackgroundCommand`
    Method called when this command is to apply changes to the given domain object. A monitor is provided to display status information about the command as it executes in the background.
    Overrides:
      `applyTo` in class `DisassembleCommand`
    Parameters:
      `obj` - domain object that will be affected by the command
      `monitor` - monitor to show progress of the command
    Returns:
      true if the command applied successfully